<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>com.aptener.bluconnect.device.sxcontrol</title>
    <link href="../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../";</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../styles/style.css" rel="Stylesheet">
<link href="../../styles/jetbrains-mono.css" rel="Stylesheet">
<link href="../../styles/main.css" rel="Stylesheet">
<link href="../../styles/prism.css" rel="Stylesheet">
<link href="../../styles/logo-styles.css" rel="Stylesheet">
<script type="text/javascript" src="../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
</head>
<body>
<div class="navigation-wrapper" id="navigation-wrapper">
    <div id="leftToggler"><span class="icon-toggler"></span></div>
    <div class="library-name">
            <a href="../../index.html">
                    <span>bluconnect</span>
            </a>
    </div>
    <div>
    </div>
    <div class="pull-right d-flex">
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":bluconnect:dokkaHtml/release">androidJvm</button>
        </div>
        <button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
    </div>
</div>
<div id="container">
    <div id="leftColumn">
        <div id="sideMenu"></div>
    </div>
    <div id="main">
<div class="main-content" data-page-type="package" id="content" pageIds="bluconnect::com.aptener.bluconnect.device.sxcontrol////PointingToDeclaration//-1410038383">
  <div class="breadcrumbs"><a href="../../index.html">bluconnect</a><span class="delimiter">/</span><span class="current">com.aptener.bluconnect.device.sxcontrol</span></div>
  <div class="cover ">
    <h1 class="cover"><span><span>Package-level</span></span> <span><span>declarations</span></span></h1>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="TYPE">Types</button></div>
    <div class="tabs-section-body">
      <div data-togglable="TYPE">
        <h2 class="">Types</h2>
        <div class="table"><a data-name="1345990372%2FClasslikes%2F-1410038383" anchor-label="Battery" id="1345990372%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-battery/index.html"><span><span>Battery</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1345990372%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-battery/index.html">Battery</a></div><div class="brief "><p class="paragraph">Once device is connected, Battery level updates every 2 minute.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1606440660%2FClasslikes%2F-1410038383" anchor-label="ButtonClickAH" id="1606440660%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-button-click-a-h/index.html"><span>Button</span><wbr></wbr><span>Click</span><wbr></wbr><span><span>AH</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1606440660%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-button-click-a-h/index.html">ButtonClickAH</a></div><div class="brief "><p class="paragraph">Emits hardware button click events</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1167044263%2FClasslikes%2F-1410038383" anchor-label="ButtonClickC30" id="1167044263%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-button-click-c30/index.html"><span>Button</span><wbr></wbr><span>Click</span><wbr></wbr><span><span>C30</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1167044263%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-button-click-c30/index.html">ButtonClickC30</a></div><div class="brief "><p class="paragraph">Emits hardware button click events</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-2063026602%2FClasslikes%2F-1410038383" anchor-label="ButtonClickSX" id="-2063026602%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-button-click-s-x/index.html"><span>Button</span><wbr></wbr><span>Click</span><wbr></wbr><span><span>SX</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2063026602%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-button-click-s-x/index.html">ButtonClickSX</a></div><div class="brief "><p class="paragraph">Emits hardware button click events</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1353586579%2FClasslikes%2F-1410038383" anchor-label="DeviceInfo" id="-1353586579%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-device-info/index.html"><span>Device</span><wbr></wbr><span><span>Info</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1353586579%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-device-info/index.html">DeviceInfo</a></div><div class="brief "><p class="paragraph">Metadata of the connected device i.e. Firmware and hardware version</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1986039148%2FClasslikes%2F-1410038383" anchor-label="Dialer" id="-1986039148%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-dialer/index.html"><span><span>Dialer</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1986039148%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-dialer/index.html">Dialer</a></div><div class="brief "><p class="paragraph">Emit events for Phone call. And expose methods to interact with phone call i.e. Answer the Phone call, Drop the Phone call and Reject the Phone call</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1829195561%2FClasslikes%2F-1410038383" anchor-label="DialerSpeedDial" id="-1829195561%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-dialer-speed-dial/index.html"><span>Dialer</span><wbr></wbr><span>Speed</span><wbr></wbr><span><span>Dial</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1829195561%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-dialer-speed-dial/index.html">DialerSpeedDial</a></div><div class="brief "><p class="paragraph">Emit events for Phone call. And expose methods to interact with phone call i.e. Answer the Phone call, Drop the Phone call and Reject the Phone call</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-676981748%2FClasslikes%2F-1410038383" anchor-label="MediaPlayer" id="-676981748%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-media-player/index.html"><span>Media</span><wbr></wbr><span><span>Player</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-676981748%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-media-player/index.html">MediaPlayer</a></div><div class="brief "><p class="paragraph">Emits media player events</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1855147233%2FClasslikes%2F-1410038383" anchor-label="OtaSwitch" id="1855147233%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-ota-switch/index.html"><span>Ota</span><wbr></wbr><span><span>Switch</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1855147233%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-ota-switch/index.html">OtaSwitch</a></div><div class="brief "><p class="paragraph">Reboots the SX device in OTA mode</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-2091002437%2FClasslikes%2F-1410038383" anchor-label="RawBytesInterface" id="-2091002437%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-raw-bytes-interface/index.html"><span>Raw</span><wbr></wbr><span>Bytes</span><wbr></wbr><span><span>Interface</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2091002437%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-raw-bytes-interface/index.html">RawBytesInterface</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-262183565%2FClasslikes%2F-1410038383" anchor-label="RideGrid" id="-262183565%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-ride-grid/index.html"><span>Ride</span><wbr></wbr><span><span>Grid</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-262183565%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-ride-grid/index.html">RideGrid</a></div><div class="brief "><p class="paragraph">Emit events for RIDEGRID. And expose methods to interact with RIDEGRID i.e. On/Off, modify active RIDEGRID group, start/stop the call</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-2144556753%2FClasslikes%2F-1410038383" anchor-label="RideLynk" id="-2144556753%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-ride-lynk/index.html"><span>Ride</span><wbr></wbr><span><span>Lynk</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2144556753%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-ride-lynk/index.html">RideLynk</a></div><div class="brief "><p class="paragraph">Emit events for RIDELYNK. And expose methods to interact with RIDELYNK i.e. Connect other RIDELYNK device/third party intercom, start/stop the RIDELYNK call</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1705344055%2FClasslikes%2F-1410038383" anchor-label="SecondPhone" id="1705344055%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-second-phone/index.html"><span>Second</span><wbr></wbr><span><span>Phone</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1705344055%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-second-phone/index.html">SecondPhone</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="993892314%2FClasslikes%2F-1410038383" anchor-label="SpeedDial" id="993892314%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-speed-dial/index.html"><span>Speed</span><wbr></wbr><span><span>Dial</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="993892314%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-speed-dial/index.html">SpeedDial</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-516645526%2FClasslikes%2F-1410038383" anchor-label="TestInterface" id="-516645526%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-test-interface/index.html"><span>Test</span><wbr></wbr><span><span>Interface</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-516645526%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-test-interface/index.html">TestInterface</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1663302952%2FClasslikes%2F-1410038383" anchor-label="VoiceAnnouncement" id="-1663302952%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-voice-announcement/index.html"><span>Voice</span><wbr></wbr><span><span>Announcement</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1663302952%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-voice-announcement/index.html">VoiceAnnouncement</a></div><div class="brief "><p class="paragraph">Emits voice notification events</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="444864453%2FClasslikes%2F-1410038383" anchor-label="VoiceAssistant" id="444864453%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-voice-assistant/index.html"><span>Voice</span><wbr></wbr><span><span>Assistant</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="444864453%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-voice-assistant/index.html">VoiceAssistant</a></div><div class="brief "><p class="paragraph">Emits voice assistant events</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-180895377%2FClasslikes%2F-1410038383" anchor-label="VoiceNoteRecorder" id="-180895377%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-voice-note-recorder/index.html"><span>Voice</span><wbr></wbr><span>Note</span><wbr></wbr><span><span>Recorder</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-180895377%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-voice-note-recorder/index.html">VoiceNoteRecorder</a></div><div class="brief "><p class="paragraph">Location triggered voice note recorder</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-162468297%2FClasslikes%2F-1410038383" anchor-label="Volume" id="-162468297%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-volume/index.html"><span><span>Volume</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-162468297%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-volume/index.html">Volume</a></div><div class="brief "><p class="paragraph">Emits volume level</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2023 Copyright</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
    </div>
</div>
</body>
</html>
